Bug 209543 - Go to Patch dialog does not place initial focus sensibly
Go to Patch dialog does not place initial focus sensibly
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
7.2
PC Linux
: P4 (vote)
: 7.2
Assigned To: Ondrej Vrabec
issues@versioncontrol
: FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 19:58 UTC by Jesse Glick
Modified: 2012-03-17 10:35 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2012-03-13 19:58:09 UTC
Alt-M Q G brings up a dialog letting you select a patch to apply up to. But in order to actually navigate the list using the keyboard, you need to TAB into it, or press Alt-P (and then Down at least once to select something).

The dialog should rather initially focus the list, probably preselecting the first patch (if any).
Comment 1 Ondrej Vrabec 2012-03-16 09:13:48 UTC
http://hg.netbeans.org/core-main/rev/086f93961f63
Comment 2 Quality Engineering 2012-03-17 10:35:59 UTC
Integrated into 'main-golden', will be available in build *201203170400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/086f93961f63
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #209543 - Go to Patch dialog does not place initial focus sensibly


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo